List Encoding Filters
List all file transcoding filters for the service.
curl -X GET "https://api.5centscdn.com/v2/transcoding/filters" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/transcoding/filters"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/transcoding/filters", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/transcoding/filters", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/transcoding/filters')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"filters": {
"1": {
"id": 1,
"serviceid": 0,
"type": "file",
"name": "Horizontal Flip",
"settings": {
"filter": "hflip",
"args": []
}
},
"2": {
"id": 2,
"serviceid": 0,
"type": "file",
"name": "Vertical Flip",
"settings": {
"filter": "vflip",
"args": []
}
},
"5": {
"id": 5,
"serviceid": 103,
"type": "file",
"name": "5centsText",
"settings": {
"filter": "drawtext",
"args": {
"filter": "drawtext",
"position": "Center",
"fontcolor": "#1cb74d",
"fontsize": 36,
"text": "Sample Overlay Text"
}
}
},
"6": {
"id": 6,
"serviceid": 103,
"type": "file",
"name": "5centsLogo",
"settings": {
"filter": "overlay",
"args": {
"url": "https://cdn.example.com/watermark-logo.png",
"scale": 15,
"position": "Center",
"filter": "overlay"
}
}
},
"43": {
"id": 43,
"serviceid": 0,
"type": "file",
"name": "Demo Text",
"settings": {
"filter": "drawtext",
"args": {
"text": "Sample watermark text",
"fontsize": "20",
"fontcolor": "#4caf50",
"position": "Bottom Center"
}
}
},
"155": {
"id": 155,
"serviceid": 0,
"type": "file",
"name": "Rotate 90°Clockwise",
"settings": {
"filter": "c90",
"args": []
}
},
"157": {
"id": 157,
"serviceid": 0,
"type": "file",
"name": "Rotate 180°Clockwise",
"settings": {
"filter": "c180",
"args": []
}
},
"159": {
"id": 159,
"serviceid": 0,
"type": "file",
"name": "Rotate 90°CounterClockwise",
"settings": {
"filter": "cc90",
"args": []
}
},
"161": {
"id": 161,
"serviceid": 0,
"type": "file",
"name": "Rotate 180°CounterClockwise",
"settings": {
"filter": "cc180",
"args": []
}
},
"292": {
"id": 292,
"serviceid": 103,
"type": "file",
"name": "sample-text-filter",
"settings": {
"filter": "drawtext",
"args": {
"text": "Sample Watermark Text",
"fontsize": 48,
"fontcolor": "#1cb74d",
"position": "Top Center",
"filter": "drawtext"
}
}
},
"295": {
"id": 295,
"serviceid": 103,
"type": "file",
"name": "sample-filter",
"settings": {
"filter": "overlay",
"args": {
"url": "https://cdn.example.com/logo.svg",
"scale": "50",
"position": "Top Right"
}
}
},
"297": {
"id": 297,
"serviceid": 103,
"type": "file",
"name": "sample-filter",
"settings": {
"filter": "overlay",
"args": {
"url": "https://cdn.example.com/logo.svg",
"scale": "150",
"position": "Center Right"
}
}
},
"298": {
"id": 298,
"serviceid": 103,
"type": "file",
"name": "sample-filter",
"settings": {
"filter": "drawtext",
"args": {
"text": "test",
"fontsize": "15",
"fontcolor": "#2599f8",
"position": "Center"
}
}
},
"317": {
"id": 317,
"serviceid": 103,
"type": "file",
"name": "sample-filter",
"settings": {
"filter": "drawtext",
"args": {
"text": "test",
"fontsize": "15",
"fontcolor": "#2599f8",
"position": "Top Center"
}
}
},
"324": {
"id": 324,
"serviceid": 103,
"type": "file",
"name": "flutter",
"settings": {
"filter": "drawtext",
"args": null
}
}
}
}
GET
/transcoding/filters
GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Responses
resultstring
API response status.
filtersobject
Map of transcoding filters keyed by filter ID string.
Was this page helpful?